package application;

import java.time.Year;

import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Label;
import javafx.scene.control.Slider;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;
import model.Auto;
import model.Fahrzeug;

public class FahrzeugDialog extends Stage
{
	private GridPane gridPaneDialog;
	private Label labelAutoId;
	private TextField textFieldAutoId;
	private Label labelKennzeichen;
	private TextField textFieldKennzeichen;
	private Label labelBaujahr;
	private Slider sliderBaujahr;
	private Label labelAutomatik;
	private CheckBox checkBoxAutomatik;
	private Button buttonOk;
	private Button buttonAbbruch;
	
	public FahrzeugDialog()
	{
		initComponents();
		addComponents();
	}

	private void initComponents()
	{
		setTitle("Autodaten ändern");
		gridPaneDialog = new GridPane();
			gridPaneDialog.setPadding(new Insets(10));
			gridPaneDialog.setHgap(10);
			gridPaneDialog.setVgap(5);
		labelAutoId = new Label("Auto ID:");
		textFieldAutoId = new TextField();
			textFieldAutoId.setEditable(false);
		labelKennzeichen = new Label("Kennzeichen");
		textFieldKennzeichen = new TextField();
		labelBaujahr = new Label("Baujahr");
		sliderBaujahr = new Slider(Year.now().getValue()-30, Year.now().getValue(), Year.now().getValue());
			sliderBaujahr.setMajorTickUnit(10);
			sliderBaujahr.setShowTickLabels(true);
		labelAutomatik = new Label("Automatik");
		checkBoxAutomatik = new CheckBox();
		buttonOk = new Button("OK");
			buttonOk.setPrefWidth(100);
		buttonAbbruch = new Button("Abbruch");
			buttonAbbruch.setPrefWidth(100);
	}

	private void addComponents()
	{
		gridPaneDialog.add(labelAutoId, 0, 0);
		gridPaneDialog.add(textFieldAutoId, 1, 0);
		gridPaneDialog.add(labelKennzeichen, 0, 1);
		gridPaneDialog.add(textFieldKennzeichen, 1, 1);
		gridPaneDialog.add(labelBaujahr, 0, 2);
		gridPaneDialog.add(sliderBaujahr, 1, 2);
		gridPaneDialog.add(labelAutomatik, 0, 3);
		gridPaneDialog.add(checkBoxAutomatik, 1, 3);
		gridPaneDialog.add(buttonOk, 0, 4);
		gridPaneDialog.add(buttonAbbruch, 1, 4);
		setScene(new Scene(gridPaneDialog));
	}
	
	public void updateAndShow(Auto welches)
	{
		textFieldAutoId.setText(""+welches.getAutoId());
		textFieldKennzeichen.setText(welches.getKennzeichen());
		sliderBaujahr.setValue(welches.getBaujahr());
		checkBoxAutomatik.setSelected(welches.getAutomatik());
		showAndWait();
	}
}






















